.AUTODEPEND

.PATH.obj = .

#		*Translator Definitions*
CC = bcc +GALOIS.CFG
TASM = TASM
TLIB = tlib
TLINK = tlink
LIBPATH = C:\BORLANDC\LIB
INCLUDEPATH = C:\BORLANDC\INCLUDE


#		*Implicit Rules*
.c.obj:
  $(CC) -c {$< }

.cpp.obj:
  $(CC) -c {$< }

#		*List Macros*


EXE_dependencies =  \
 stream.obj \
 decode.obj \
 encode.obj \
 galois.obj \
 generate.obj \
 mainprog.obj

#		*Explicit Rules*
.\galois.exe: galois.cfg $(EXE_dependencies)
  $(TLINK) /v/x/c/P-/L$(LIBPATH) @&&|
c0h.obj+
.\stream.obj+
.\decode.obj+
.\encode.obj+
.\galois.obj+
.\generate.obj+
.\mainprog.obj
.\galois
		# no map file
emu.lib+
mathh.lib+
ch.lib
|


#		*Individual File Dependencies*
stream.obj: galois.cfg stream.c 

decode.obj: galois.cfg decode.c 

encode.obj: galois.cfg encode.c 

galois.obj: galois.cfg galois.c 

generate.obj: galois.cfg generate.c 

mainprog.obj: galois.cfg mainprog.c 

#		*Compiler Configuration File*
galois.cfg: galois.mak
  copy &&|
-mh
-2
-C
-G
-O
-Z
-vi-
-n.
-I$(INCLUDEPATH)
-L$(LIBPATH)
-P-.C
| galois.cfg


